%define pkg_name        Tk
%define pkg_version     804.027
%define rpm_pkg_version 804.027
%define rpm_pkg_release 13.n0i.3

Summary:       Perl Graphical User Interface ToolKit
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/N/NI/NI-S/%{pkg_name}-%{pkg_version}.tar.gz
Patch0:        perl-Tk-widget.patch

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: libX11-devel, libXrender-devel, libXft-devel, fontconfig-devel
BuildRequires: freetype-devel, libjpeg-devel, libpng-devel

Provides:      perl(Tk::LabRadio) = 4.004
Provides:      perl(Tk::TextReindex)
Provides:      perl(Tk) = %{pkg_version}

%global perl_filter_prov 'Tk\\)$'
%global perl_filter_req 'WidgetDemo'


%description
This a re-port of a perl interface to Tk8.4.
C code is derived from Tcl/Tk8.4.5.
It also includes all the C code parts of Tix8.1.4 from SourceForge.
The perl code corresponding to Tix's Tcl code is not fully implemented.

Perl API is essentially the same as Tk800 series Tk800.025 but has not
been verified as compliant. There ARE differences see pod/804delta.pod.

%package devel
Summary:       Development tools for Perl Graphical User Interface ToolKit
Group:         Development/Languages
Requires:      %{name} = %{version}-%{release}

%description devel
This package contains header files, documentation and examples for perl-Tk.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%patch0
%{__perl} -pi -e 's,\@demopath\@,%{_datadir}/doc/%{name}-%{version}/demos,g' \
	%{_builddir}/Tk-%{version}/demos/widget
%{fix_perl_path .}
%{fix_mod}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor XFT=1
%{__make} %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS" LD_RUN_PATH=''
# does anyone expect these to work? :))
%{!?_without_test:%{__make} test ||:}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}

%{__chmod} +x $RPM_BUILD_ROOT%{perl_vendorarch}/Tk/pTk/{mkVFunc,Tcl-pTk}

%{__mkdir} __demos
%{__cp} -pR $RPM_BUILD_ROOT%{perl_vendorarch}/Tk/demos __demos
%{__find} __demos/ -type f -exec %{__chmod} -x {} \;

%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README README.linux pTk/*license*
%{perl_files -b -m}
%exclude %{_bindir}/gedi
%exclude %{_bindir}/widget
%exclude %{_mandir}/man1/widget.1*
%exclude %{_mandir}/man3/*::demos::*
%exclude %{perl_vendorarch}/fix_4_os2.pl
%exclude %{perl_vendorarch}/Tk/demos
%exclude %{perl_vendorarch}/Tk/reindex.pl
%exclude %{perl_vendorarch}/Tk/*.h
%exclude %{perl_vendorarch}/Tk/pTk/*.h
%exclude %{perl_vendorarch}/Tk/pTk/compat/


%files devel
%defattr(-,root,root,-)
%doc ToDo __demos/demos
%{_bindir}/gedi
%{_bindir}/widget
%{_mandir}/man1/widget.1*
%{_mandir}/man3/*::demos::*
%{perl_vendorarch}/Tk/*.h
%{perl_vendorarch}/Tk/pTk/*.h
%{perl_vendorarch}/Tk/pTk/compat/


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 804.027-13.n0i.3
- split headers into perl-Tk-devel
- moved docs & demos to devel

* Wed Jan 31 2007 Marius FERARU <altblue@n0i.net> - 804.027-2.n0i.2
- rebuild (fc7)
- spec file (re)created using N0i::CPAN::RPMizer v1.14.0

* Tue Aug 09 2005 Marius FERARU <altblue@n0i.net> - 804.027-1.n0i.1
- initial packaging for reb00t
